Package org.eclipse.osgi.report.resolution

# Interface ResolutionReport.Entry

Enclosing interface:
  `ResolutionReport`

public static interface ResolutionReport.Entry

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ResolutionReport.Entry.Type`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getData()`
Returns the data associated with this resolution report entry.
`ResolutionReport.Entry.Type`
`getType()`
Returns the type for this resolution report entry.

## Method Details

### getData

Object getData()
Returns the data associated with this resolution report entry. The structure of the data is determined by the `Type` of the entry and may by `null`.

Returns:
  the data associated with this resolution report entry.
See Also:
  - `ResolutionReport.Entry.Type`

### getType

ResolutionReport.Entry.Type getType()
Returns the type for this resolution report entry.

Returns:
  the type for this resolution report entry.